Subject: Re: bug#33608: bug#33882: Blender is not loading menu scripts

From: Mark H Weaver <[email-masked]>
Date: Wed, 20 Mar 2019 18:36:29 -0400

Hi Leo and Thorsten,

Leo Famulari <[email-masked]> writes:

> On Sun, Jan 06, 2019 at 12:03:03PM +0100, Thorsten Wilms wrote:
>> Sounds reasonable. However, Blender is a case where it might be worthwhile
>> to keep a 2.79 around even after the final release of 2.8, because the
>> graphics card requirements have been increased to  OpenGL core 3.3 *

Indeed, this is an issue for us, since I'm not aware of any x86_64
laptop that supports OpenGL 3 and can be initialized without the use of
nonfree software.  In particular, the Thinkpad X200 does not support
OpenGL 3.

> I think this problem has finally been reported and fixed upstream:
>
> Reports:
>
> https://lists.blender.org/pipermail/bf-committers/2019-February/049823.html
> https://blenderartists.org/t/new-blender-install-gui-is-empty-no-icons-controls-etc/1145751
>
> Fix commmit:
>
> https://git.blender.org/gitweb/gitweb.cgi/blender.git/commit/1db47a2ccd1e68994bf8140eba6cc2a26a2bc91f
>
> I didn't test the fix but it's reported to work in that mailing list
> discussion.
>
> Blender 2.8 is working fine for my very limited use case, so I'm not
> going to resurrect Blender 2.79 in Guix.
>
> However, if somebody sends a patch that brings it back in a working
> state, we can have both versions in Guix during the 2.79 -> 2.8 upstream
> transition.

Thanks very much for finding this bug report and fix, Leo!
I applied it and it works on my X200.

FYI, I resurrected blender-2.79b on our master branch in commit
e625dda1af967c5897b54c904dcdf4cfeca04768.

      Regards,
        Mark